aboutsummaryrefslogtreecommitdiffstats
path: root/test/range-002.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/range-002.sh')
-rwxr-xr-xtest/range-002.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/test/range-002.sh b/test/range-002.sh
new file mode 100755
index 0000000..3685340
--- /dev/null
+++ b/test/range-002.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+if [ ! -x "$(command -v faketime)" ]; then
+ echo "libfaketime not found - skipping $0..."
+ exit 1
+fi
+
+if [ "$1" = 'actual' ]; then
+ faketime '2000-01-01 00:00:00' calcurse -D data/ -r400
+elif [ "$1" = 'expected' ]; then
+ cat <<EOD
+04/07/00:
+ * Chapping bequeaths satellites
+
+05/17/00:
+ * Her Peron gavels footbridge's bacchanal's
+
+07/10/00:
+ * Leaved mime's saltwater
+
+08/04/00:
+ * Margins charting edgy personae
+
+10/19/00:
+ - 22:39 -> ..:..
+ Plodder's moulting smokestacks instruments vagrancy's
+
+10/20/00:
+ - ..:.. -> 04:55
+ Plodder's moulting smokestacks instruments vagrancy's
+
+01/25/01:
+ * Accurateness hoed flakiness's
+EOD
+else
+ ./run-test "$0"
+fi